## org.flexdock.docking.props
Class PropertyManager

    java.lang.Object
      org.flexdock.docking.props.PropertyManager

    public class PropertyManager

extends java.lang.Object

Author:
  Christopher Butler

Field Summary
`static java.lang.String` `DOCKABLE_PROPERTIES_KEY`
`static java.lang.String` `DOCKINGPORT_PROPERTIES_KEY`

Constructor Summary
`PropertyManager()`

Method Summary
`static java.lang.Object` `getClientProperty(Dockable dockable, java.lang.Object key)`
`static DockablePropertySet` `getDockablePropertySet(Dockable dockable)`
`static DockablePropertySet` `getDockableRoot()`
`static DockingPortPropertySet` `getDockingPortPropertySet(DockingPort port)`
`static DockingPortPropertySet` `getDockingPortRoot()`
`static java.lang.Object` `getProperty(java.lang.Object key, ScopedMap map)`
`static void` `putClientProperty(Dockable dockable, java.lang.Object key, java.lang.Object value)`
`static void` `removePropertySet(Dockable dockable)`
`static void` `setDockablePropertyType(java.lang.Class dockable, java.lang.Class propType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCKABLE_PROPERTIES_KEY

    public static final java.lang.String DOCKABLE_PROPERTIES_KEY

### DOCKINGPORT_PROPERTIES_KEY

    public static final java.lang.String DOCKINGPORT_PROPERTIES_KEY

Constructor Detail

### PropertyManager

    public PropertyManager()

Method Detail

### getDockingPortRoot

    public static DockingPortPropertySet getDockingPortRoot()

### getDockableRoot

    public static DockablePropertySet getDockableRoot()

### setDockablePropertyType

    public static void setDockablePropertyType(java.lang.Class dockable,
                                               java.lang.Class propType)

### getDockablePropertySet

    public static DockablePropertySet getDockablePropertySet(Dockable dockable)

### removePropertySet

    public static void removePropertySet(Dockable dockable)

### getDockingPortPropertySet

    public static DockingPortPropertySet getDockingPortPropertySet(DockingPort port)

### getProperty

    public static java.lang.Object getProperty(java.lang.Object key,
                                               ScopedMap map)

### getClientProperty

    public static java.lang.Object getClientProperty(Dockable dockable,
                                                     java.lang.Object key)

### putClientProperty

    public static void putClientProperty(Dockable dockable,
                                         java.lang.Object key,
                                         java.lang.Object value)